<?php

session_start();
include 'c_leitura.php';

$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}

$nivel_necessario = 6;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
    // Destrói a sessão por segurança
    session_destroy();
    // Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}

$argsPost = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'opt' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);

$inputPOST = filter_input_array(INPUT_POST, $argsPost);

require_once("db.php");
$id = $inputPOST['id'];
$ligado = $inputPOST['opt'];
$dono = $_SESSION['UsuarioUser'];


if ($ligado == 'habilitar') {
    
    $query1 = "UPDATE tablet SET ligado = '1' , ativo = '1' , status = '1' WHERE idprod='$id' ";
    $result1 = mysql_query($query1);
    
    $query = "UPDATE leitura SET ativo = '1' WHERE idprod = '$id' ";
    $result2 = mysql_query($query);

    $query = "UPDATE metricas SET ativo = '1' WHERE idprod = '$id' ";
    $result3 = mysql_query($query);

    if ($result1) {
        echo json_encode(array('success' => 1, 'msg' => 'Status do Tablet ' . $id . ' habilitado com sucesso!'));
    } else {
        echo json_encode(array('success' => 0, 'msg' => 'Erro ao alterar status'));
    }
    exit;
}


if (!empty($inputPOST['id'])) {
    $query1 = "UPDATE tablet SET ligado = '$ligado' WHERE idprod='$id' AND ativo = 1";
    $result1 = mysql_query($query1);

    if ($result1)
        echo json_encode(array('success' => 1, 'msg' => 'Status do Tablet ' . $id . ' alterado com sucesso!'));
    else
        echo json_encode(array('success' => 0, 'msg' => 'Erro ao alterar status'));
    exit;
}


if (empty($inputPOST['id'])) {

    $query = "UPDATE configuracao SET ligado = '$ligado' WHERE id = 1";
    $result = mysql_query($query);

    $query2 = "UPDATE tablet SET ligado = '$ligado' WHERE cliente = '$dono' AND ativo = 1";
    $result2 = mysql_query($query2);

    if ($result2)
        echo json_encode(array('success' => 1, 'msg' => 'Status do Servidor alterado com sucesso!'));
    else
        echo json_encode(array('success' => 0, 'msg' => 'Erro ao alterar status'));
    exit;
}


// header('Location: tablets.php');
?>

